
Figure - Bug #113910
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】进入图库播放一个视频，退出，进入recent,点击图库卡片右上角的小窗按钮，
图库不能正常进入小窗模式，多次后图库崩溃
2022-11-11 16:41 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-11

Priority: High Due date: 2022-11-18

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V4.0_20221128

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211110608

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211181450

Reproducibility: Every time Fixed Version: 2022-11-18

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

2、本地有视频

【测试步骤】

1、打开图库

2、播放一个视频

3、退出

4、进入recent

5、点击图库卡片右上角的小窗按钮

【预期结果】

5、图库进入小窗模式

【实际结果】

5、图库不能正常进入小窗模式，多次重复操作后图库崩溃

PS:视频、文件管理播放视频时进行上述操作有同样的现象

History

#1 - 2022-11-11 17:34 - CD TEST-方永红

- File deleted (Phone-STS40X190122 2022-11-11 15-41-16.mp4)

#2 - 2022-11-11 17:35 - CD TEST-方永红

- File Phone-STS40X190122 2022-11-11 15-29-17.mp4 added

#3 - 2022-11-12 13:48 - CD APP-王营

需要明确小窗冷启动和热启动方案，同小窗同事讨论一下这个后再解这个问题。

#4 - 2022-11-15 10:18 - CD APP-王营

- Assignee changed from CD APP-王营 to DL FW-郝健
#5 - 2022-11-15 17:16 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from DL FW-郝健 to CD APP-王营

- % Done changed from 0 to 80

■ Current conclusion

问题已解决，待入库

■ My analysis

目前小窗的启动方式都为冷启动，在recent任务卡片上点击启动小窗应该使用热启动逻辑。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/162907

#6 - 2022-11-16 17:38 - CDTS_TEST 王成

- Severity changed from Major to Critical

#7 - 2022-11-16 18:33 - CDTS-TEST 周婷

- Due date set to 2022-11-18

- Target version set to VX1_MCE_FSE_V4.0_20221128

#8 - 2022-11-17 15:38 - CD APP-王营

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 80 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-11-18

- Root cause set to 编码问题

代码已入库，请使用11-18及以后的DB版本中验证此问题。

#9 - 2022-11-17 15:55 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

#10 - 2022-11-18 18:10 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211181450

11.18 验证通过

#11 - 2022-11-18 18:10 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#12 - 2022-12-22 20:53 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

162907 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com
FW:Launcher: Fix Gallery crash when open free window1. Fix Gallery crash when open free window from recent task view.TC-RID: 1201-0205302IssueID:

TS-R-BUG-113910Change-Id: I3a46fd86f02e3c7f3009cd8759d6fdc93f487211

Files

1.txt 3.22 KB 2022-11-11 CD TEST-方永红

Phone-STS40X190122 2022-11-11 15-29-17.mp4 37.6 MB 2022-11-11 CD TEST-方永红
